Subject: Re: linux-next: arm tree build failure

From: Russell King <[email-masked]>
Date: Tue, 14 Apr 2009 18:09:13 +0100

On Tue, Apr 14, 2009 at 05:48:14PM +1000, Stephen Rothwell wrote:
> Today's linux-next build (arm em_x270_defconfig) failed like this:
> 
> arch/arm/kernel/sys_oabi-compat.c: In function 'sys_oabi_epoll_wait':
> arch/arm/kernel/sys_oabi-compat.c:288: error: implicit declaration of function 'kmalloc'
> arch/arm/kernel/sys_oabi-compat.c:288: error: 'GFP_KERNEL' undeclared (first use in this function)
> arch/arm/kernel/sys_oabi-compat.c:288: warning: assignment makes pointer from integer without a cast
> arch/arm/kernel/sys_oabi-compat.c:301: error: implicit declaration of function 'kfree'
> arch/arm/kernel/sys_oabi-compat.c: In function 'sys_oabi_semtimedop':
> arch/arm/kernel/sys_oabi-compat.c:324: error: 'GFP_KERNEL' undeclared (first use in this function)
> arch/arm/kernel/sys_oabi-compat.c:324: warning: assignment makes pointer from integer without a cast

It'll take me a while to resolve anything; I've effectively been away since
the 7th, so I've piles of email to read through.  I do notice that other
people have fixes, but the question is what caused this to occur (and
therefore is the fix the right one.)

Expect something within a week.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: